# Class AnnotateVcfDbMem

java.lang.Object
org.snpsift.annotate.AnnotateVcfDb
org.snpsift.annotate.AnnotateVcfDbMem

public class AnnotateVcfDbMem extends AnnotateVcfDb
Annotate using a VCF "database" Note: Reads and loads the whole VCF file into memory

Author:
  pcingola

## Field Summary

### Fields inherited from class AnnotateVcfDb

`annotateEmpty, chrPrev, dbVcf, debug, errCount, existsInfoField, hasVcfInfoPerAlleleRef, infoFields, MAX_ERRORS, prependInfoFieldName, useAllInfoFields, useId, useInfoFields, useRefAlt, vcfDbFile, vcfInfoPerAllele, vcfInfoPerAlleleRef, verbose`

## Constructor Summary

Constructors
Constructor
Description
`AnnotateVcfDbMem(String dbFileName)`

## Method Summary

### Methods inherited from class AnnotateVcfDb

`annotate, annotateExists, annotateIds, annotateInfo, close, discoverInfoFields, discoverInfoFields, find, find, findDbExists, findDbId, findDbInfo, findDbInfo, findDbInfoAlt, findDbInfoRef, match, open, prependInfoName, query, setAnnotateEmpty, setDebug, setExistsInfoField, setInfoFields, setPrependInfoFieldName, setUseId, setUseRefAlt, setVerbose, toString, uniqueIds, warn`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AnnotateVcfDbMem

public AnnotateVcfDbMem(String dbFileName)